## Retrieve notification topics

Retrieves all available notification topics that merchants can subscribe to. Topics are used to organize
different types of notifications such as incidents, payments, developer updates, etc.

The response is an array of notification topic objects containing the topic ID, name, and display name.

This endpoint requires authentication and returns all available topics that the merchant can potentially
subscribe to for email notifications.

## Endpoint signature

```http
POST https://api.reservepay.com/merchants/retrieve-notification-topics HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>

{}
```

Returns: array

## Response attributes

### `id` (string)

**Always present**. The unique identifier of the notification topic.

### `name` (string)

**Always present**. The name of the notification topic.

Possible values:

- `api_key`
- `billing`
- `dispute`
- `fraud`
- `incident`
- `installation_key`
- `payout`
- `plan`
- `planned_maintenance`
- `team`
- `webhook`

### `display_name` (string)

**Always present**. The display name of the notification topic.

### `category` (string)

_Nullable_. The category of the notification topic.

Possible values:

- `api_key`
- `billing`
- `dispute`
- `fraud`
- `incident`
- `installation_key`
- `payout`
- `plan`
- `planned_maintenance`
- `team`
- `webhook`

## Errors common to all endpoints

### `UNHANDLED_ERROR`

This error occurs when the server encounters an unexpected internal error that
it cannot handle gracefully. This typically happens due to bugs, infrastructure
issues, or edge cases that weren't anticipated during development.

### `INVALID_ARGUMENTS`

This error occurs when the request contains invalid or missing parameters.
Common cases include missing required fields, or values that don't match the
expected format or type.

### `BAD_VERSION`

This error occurs when making requests to an API version that does not exist.
This commonly happens when using an outdated SDK or when the API version
specified in the request URL is incorrect.
